EGL_Stat = {
	 [0] = _G["ALL"],
	 [1] = _G["ITEM_MOD_STAMINA_SHORT"],
	 [2] = _G["ITEM_MOD_INTELLECT_SHORT"],
	 [3] = _G["ITEM_MOD_SPIRIT_SHORT"],
	 [4] = _G["ITEM_MOD_STRENGTH_SHORT"],
	 [5] = _G["ITEM_MOD_HASTE_RATING_SHORT"],
	 [6] = _G["ITEM_MOD_AGILITY_SHORT"],
	 [7] = _G["ITEM_MOD_HIT_RATING_SHORT"],
	 [8] = _G["ITEM_MOD_CRIT_RATING_SHORT"],
	 [9] = _G["ITEM_MOD_MASTERY_RATING_SHORT"],
	[10] = _G["ITEM_MOD_DODGE_RATING_SHORT"],
	[11] = _G["ITEM_MOD_PARRY_RATING_SHORT"],
	[12] = _G["ITEM_MOD_EXPERTISE_RATING_SHORT"],
	[13] = _G["ITEM_MOD_BLOCK_RATING_SHORT"],
	[14] = _G["ITEM_MOD_RESILIENCE_RATING_SHORT"],
	[15] = _G["ITEM_MOD_SPELL_POWER_SHORT"],
	[16] = _G["ITEM_MOD_SPELL_PENETRATION_SHORT"]
}

EGL_Slot = {
	[0] = _G["ALL"],
    [1] = _G["RED_GEM"],
    [2] = _G["BLUE_GEM"],
    [3] = _G["YELLOW_GEM"],
    [4] = _G["META_GEM"]
}

EGL_Quali = {
	[0] = _G["ALL"],
	[1] = _G["ITEM_QUALITY_COLORS"][2].hex.._G["ITEM_QUALITY2_DESC"],  -- "Selten";
	[2] = _G["ITEM_QUALITY_COLORS"][3].hex.._G["ITEM_QUALITY3_DESC"], -- "Rar";
	[3] = _G["ITEM_QUALITY_COLORS"][4].hex.._G["ITEM_QUALITY4_DESC"] -- "Episch";
}

EGL_Level = {
	[0] = _G["ALL"],
	[1] = "BC",
	[2] = "WotLK",
	[3] = "Cataclysm"
}

EGL_Op = {
	[0] = "=",
	[1] = ">=",
	[2] = "<="
}



-- JC CHECKBUTTON ------------------------------------------------

function EGL_CheckButton_OnClick(this)
	if CheckButtonJC:GetChecked() then
		EGL_Options["jc"] = true;
		if (EGL_Options["cataclysm"]) then
			EGL_Options["jc_cata"] = true;
		end
		--out("EGL: Show jewelcrafter gems ...");
		EGL_ScrollBar_Update();
	else 
		EGL_Options["jc"] = false;
		EGL_Options["jc_cata"] = false;
		--out("EGL: Hide jewelcrafter gems ...");
		EGL_ScrollBar_Update();
	end
end

-- SLOT DROPDOWN ------------------------------------------------

function EGL_SlotDropDown_Init()
	local entries = table.getn(EGL_Slot);
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Slot[i];
		info.value = value;
		info.text = text;
		info.func = EGL_SlotDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_SlotDropDown_OnShow()
    UIDropDownMenu_Initialize(EGL_SlotDropDown, EGL_SlotDropDown_Init);
    UIDropDownMenu_SetSelectedID(EGL_SlotDropDown, EGL_Options["SelectedSlot"]+1);
    UIDropDownMenu_SetWidth(EGL_SlotDropDown, 70);
    EGL_ScrollBar_Update();
end

function EGL_SlotDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_SlotDropDown, i);
    EGL_Options["SelectedSlot"] = i-1;
    EGL_ScrollBar_Update();
end

-- STAT DROPDOWN ------------------------------------------------

function EGL_StatDropDown_Init()
	local entries = table.getn(EGL_Stat);
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Stat[i];
		info.text = text;
		info.value = value;
		info.func = EGL_StatDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_StatDropDown_OnShow()
    UIDropDownMenu_Initialize(EGL_StatDropDown, EGL_StatDropDown_Init);
    UIDropDownMenu_SetSelectedID(EGL_StatDropDown, EGL_Options["SelectedStat"]+1);
    UIDropDownMenu_SetWidth(EGL_StatDropDown, 150);
    EGL_ScrollBar_Update();
end

function EGL_StatDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_StatDropDown, i);
    EGL_Options["SelectedStat"] = i-1;
    EGL_ScrollBar_Update();
end

-- QUALI OP ------------------------------------------------

function EGL_QualiOp_Init()
	local entries = table.getn(EGL_Op);
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Op[i];
		info.value = value;
		info.text = text;
		info.func = EGL_QualiOp_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_QualiOp_OnShow()
    UIDropDownMenu_Initialize(EGL_QualiOp, EGL_QualiOp_Init);
    UIDropDownMenu_SetSelectedID(EGL_QualiOp, EGL_Options["SelectedQualiOp"]+1);
    UIDropDownMenu_SetWidth(EGL_QualiOp, 40);
    EGL_ScrollBar_Update();
end

function EGL_QualiOp_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_QualiOp, i);
    EGL_Options["SelectedQualiOp"] = i-1;
    EGL_ScrollBar_Update();
end

-- QUALITY DROPDOWN ------------------------------------------------

function EGL_QualiDropDown_Init()
	local entries = table.getn(EGL_Quali);
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Quali[i];
		info.text = text;
		info.value = value;
		info.func = EGL_QualiDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_QualiDropDown_OnShow()
    UIDropDownMenu_Initialize(EGL_QualiDropDown, EGL_QualiDropDown_Init);
    UIDropDownMenu_SetSelectedID(EGL_QualiDropDown, EGL_Options["SelectedQuali"]+1);
    UIDropDownMenu_SetWidth(EGL_QualiDropDown, 80);
    EGL_ScrollBar_Update();
end

function EGL_QualiDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_QualiDropDown, i);
    EGL_Options["SelectedQuali"] = i-1;
    EGL_ScrollBar_Update();
end

-- LEVEL OP ------------------------------------------------

function EGL_LevelOp_Init()
	local entries = table.getn(EGL_Op);
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Op[i];
		info.value = value;
		info.text = text;
		info.func = EGL_LevelOp_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_LevelOp_OnShow()
    UIDropDownMenu_Initialize(EGL_LevelOp, EGL_LevelOp_Init);
    UIDropDownMenu_SetSelectedID(EGL_LevelOp, EGL_Options["SelectedLevelOp"]+1);
    UIDropDownMenu_SetWidth(EGL_LevelOp, 40);
    EGL_ScrollBar_Update();
end

function EGL_LevelOp_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_LevelOp, i);
    EGL_Options["SelectedLevelOp"] = i-1;
    EGL_ScrollBar_Update();
end

-- ITEMLEVEL DROPDOWN ------------------------------------------------

function EGL_LevelDropDown_Init()
	local entries = table.getn(EGL_Level);
	if (EGL_Options["cataclysm"] == false) then
		entries = entries - 1;
	end
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Level[i];
		info.text = text;
		info.value = value;
		info.func = EGL_LevelDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_LevelDropDown_OnShow()
    UIDropDownMenu_Initialize(EGL_LevelDropDown, EGL_LevelDropDown_Init);
    UIDropDownMenu_SetSelectedID(EGL_LevelDropDown, EGL_Options["SelectedLevel"]+1);
    UIDropDownMenu_SetWidth(EGL_LevelDropDown, 80);
    EGL_ScrollBar_Update();
end

function EGL_LevelDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_LevelDropDown, i);
    EGL_Options["SelectedLevel"] = i-1;
    EGL_ScrollBar_Update();
end
